<form class="{{cssClass}} flexcol" autocomplete="off">

    {{!-- NPC Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img"/>

        <div class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{actor.name}}" placeholder="{{ localize 'SW5E.Name' }}"/>
            </h1>

            <div class="charlevel">
                <div class="level">
                    <label>{{ localize "SW5E.AbbreviationCR" }}</label>
                    <input name="data.details.cr" type="text" value="{{labels.cr}}" placeholder="1"/>
                </div>
                <div class="experience">
                    <span>{{data.details.xp.value}} XP</span>
                </div>
            </div>

            <ul class="summary">
                <li>
                    <input type="text" name="data.details.type" value="{{data.details.type}}" placeholder="{{ localize 'SW5E.Type' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.alignment" value="{{data.details.alignment}}" placeholder="{{ localize 'SW5E.Alignment' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.source" value="{{data.details.source}}" placeholder="{{ localize 'SW5E.Source' }}"/>
                </li>
            </ul>
        </div>
    </header>

    {{!-- NPC Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="attributes">{{ localize "SW5E.Attributes" }}</a>
        <a class="item" data-tab="features">{{ localize "SW5E.Features" }}</a>
        <a class="item" data-tab="spellbook">{{ localize "SW5E.Spellbook" }}</a>
        <a class="item" data-tab="biography">{{ localize "SW5E.Biography" }}</a>
    </nav>

    {{!-- NPC Sheet Body --}}
    <section class="sheet-body">
        <div class="tab attributes flexrow" data-group="primary" data-tab="attributes">

            {{!-- Ability Scores --}}
            <ul class="ability-scores flexrow">
            {{#each data.abilities as |ability id|}}
                <li class="ability {{#if ability.proficient}}proficient{{/if}}" data-ability="{{id}}">
                    <h4 class="ability-name box-title rollable">{{ability.label}}</h4>
                    <input class="ability-score" name="data.abilities.{{id}}.value" type="text" value="{{ability.value}}" data-dtype="Number" placeholder="10"/>
                    <div class="ability-modifiers flexrow">
                        <span class="ability-mod" title="Modifier">{{numberFormat ability.mod decimals=0 sign=true}}</span>
                        <input type="hidden" name="data.abilities.{{id}}.proficient" value="{{ability.proficient}}" data-dtype="Number"/>
                        <a class="proficiency-toggle ability-proficiency" title="{{ localize 'SW5E.Proficiency' }}">{{{ability.icon}}}</a>
                        <span class="ability-save" title="Saving Throw">{{numberFormat ability.save decimals=0 sign=true}}</span>
                    </div>
                </li>
            {{/each}}
            </ul>

            {{!-- Skills --}}
            <ul class="skills-list">
            {{#each data.skills as |skill s|}}
                <li class="skill flexrow {{#if skill.value}}proficient{{/if}}" data-skill="{{s}}">
                    <input type="hidden" name="data.skills.{{s}}.value" value="{{skill.value}}" data-dtype="Number"/>
                    <a class="proficiency-toggle skill-proficiency" title="{{skill.hover}}">{{{skill.icon}}}</a>
                    <h4 class="skill-name rollable">{{skill.label}}</h4>
                    <span class="skill-ability">{{skill.ability}}</span>
                    <span class="skill-mod">{{numberFormat skill.total decimals=0 sign=true}}</span>
                    <span class="skill-passive">({{skill.passive}})</span>
                </li>
            {{/each}}
            </ul>

            <section class="center-pane">

                {{!-- Attributes --}}
                <ul class="attributes flexrow">
                    <li class="attribute health">
                        <h4 class="attribute-name box-title rollable">{{ localize "SW5E.Health" }}</h4>
                        <div class="attribute-value multiple">
                            <input name="data.attributes.hp.value" type="text" value="{{data.attributes.hp.value}}"
                                   data-dtype="Number" placeholder="10"/>
                            <span class="sep"> / </span>
                            <input name="data.attributes.hp.max" type="text" value="{{data.attributes.hp.max}}"
                                   data-dtype="Number" placeholder="10"/>
                        </div>
                        <footer class="attribute-footer">
                            <input name="data.attributes.hp.formula" class="hpformula" type="text" placeholder="{{ localize 'SW5E.HealthFormula' }}"
                                   value="{{data.attributes.hp.formula}}"/>
                        </footer>
                    </li>

                    <li class="attribute">
                        <h4 class="attribute-name box-title">{{ localize "SW5E.ArmorClass" }}</h4>
                        <div class="attribute-value">
                            <input name="data.attributes.ac.value" type="text" value="{{data.attributes.ac.value}}"
                                   data-dtype="Number" placeholder="10"/>
                        </div>
                        <footer class="attribute-footer">
                            <span>{{ localize "SW5E.Proficiency" }}</span>
                            <span>{{numberFormat data.attributes.prof decimals=0 sign=true}}</span>
                        </footer>
                    </li>

                    <li class="attribute">
                        <h4 class="attribute-name box-title">{{ localize "SW5E.Speed" }}</h4>
                        <div class="attribute-value">
                            <input name="data.attributes.speed.value" type="text"
                                   value="{{data.attributes.speed.value}}" placeholder="0"/>
                        </div>
                        <footer class="attribute-footer">
                            <input type="text" class="speed" name="data.attributes.speed.special"
                                   value="{{data.attributes.speed.special}}" placeholder="{{ localize 'SW5E.SpeedSpecial' }}"/>
                        </footer>
                    </li>
                </ul>

                {{!-- Legendary Actions --}}
                <div class="counters flexrow">
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "SW5E.LegAct" }}</h4>
                        <div class="counter-value">
                            <input type="text" name="data.resources.legact.value" data-dtype="Number" placeholder="0"
                                   value="{{data.resources.legact.value}}"/>
                            <span class="sep">/</span>
                            <input type="text" name="data.resources.legact.max" data-dtype="Number" placeholder="0"
                                   value="{{data.resources.legact.max}}"/>
                        </div>
                    </div>
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "SW5E.LegRes" }}</h4>
                        <div class="counter-value">
                            <input type="text" name="data.resources.legres.value" data-dtype="Number" placeholder="0"
                                   value="{{data.resources.legres.value}}"/>
                            <span class="sep">/</span>
                            <input type="text" name="data.resources.legres.max" data-dtype="Number" placeholder="0"
                                   value="{{data.resources.legres.max}}"/>
                        </div>
                    </div>
                    <div class="counter flexrow lair">
                        <h4>{{ localize "SW5E.LairAct" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.lair.value" type="checkbox" value="{{data.resources.lair.value}}"
                                   data-dtype="Boolean" {{checked data.resources.lair.value}}/>
                            <input name="data.resources.lair.initiative" type="text" value="{{data.resources.lair.initiative}}"
                                   data-dtype="Number" placeholder="Init."/>
                        </div>
                    </div>
                </div>

                {{!-- Traits --}}
                {{> "systems/sw5e/templates/actors/parts/actor-traits.html"}}
            </section>
        </div>

        {{!-- Features Tab --}}
        <div class="tab features flexcol" data-group="primary" data-tab="features">
            {{> "systems/sw5e/templates/actors/parts/actor-features.html" sections=features}}
        </div>

        {{!-- Spellbook Tab --}}
        <div class="tab spellbook flexcol" data-group="primary" data-tab="spellbook">
            {{> "systems/sw5e/templates/actors/parts/actor-spellbook.html"}}
        </div>

        {{!-- Biography Tab --}}
        <div class="tab biography flexcol" data-group="primary" data-tab="biography">
            {{editor content=data.details.biography.value target="data.details.biography.value" button=true owner=owner editable=editable}}
        </div>
    </section>
</form>
